CHCCWDEV(8)

NAME
chccwdev - modify generic attributes of channel attached devices.

SYNOPSIS

chccwdev
    -h

chccwdev
    [ (-a <name>=<value> | -e | -d | -s | -f) [...]]
    <range> [, <range> [...]]

chccwdev
    -v

DESCRIPTION
The chccwdev command is used to set generic attributes for devices that are controlled by the common I/O subsystem. Attributes are set in the order they are specified on the commandline except the online attribute which is special.

If the same attribute is given more than one time the value that was set last will be used. This is also true (while not that obvious) when mixing the generic -a and the -e, -d, -s"and -f arguments."

All attributes will be set in the following order:

    1.  All attributes except online. If the device is offline there will be no error if the attribute doesn't exist.

    2.  Set the online attribute to the desired value ((forced) online or (safe) offline).

    3.  Set all the attributes that havn't been set, yet. At this point invalid attribute names will always cause an error.

If any error occurs the execution is terminated. So if using ranges only devices before the current one have been modified. There is no automatic rollback. All attributes that already have been changed will stay that way.

OPTIONS

-h|--help
    Print help text.

-v|--version
    Print the version of the s390-tools package and the command.

-a|--attribute <name>=<value>
    Try to set the attribute named name to the given value. After writing the attribute it will be read to check whether the setting was accepted.

-e|--online
    Try to set the specified devices online.

-f|--forceonline
    Same as online but for devices that support this (DASD devices), it can be used to bring it online regardless of any reserved states.

-d|--offline
    Try to set the specified devices offline. The --online, --forceonline, --offline, and --safeoffline options are mutually exclusive.

-s|--safeoffline
    DASD only: For each specified device, wait until all outstanding I/O requests have completed, and then try to set the device offline. The --online, --forceonline, --offline, and --safeoffline options are mutually exclusive.

<range> = <bus ID>[-<bus ID>]

<bus ID> = ([0-9]+\.[0-9]+\.)?[0-9a-f]{1,4}
    Note that bus IDs specified in short form (i.e. without leading "0.<n>.") will be interpreted as "0.0.<bus ID>". Example: "0192" becomes "0.0.0192".

EXAMPLES
chccwdev --online 0.0.0192,0.0.0195-0.0.0198
    After completing all outstanding I/O requests for the devices with bus ID 0.0.0192, 0.0.0195, 0.0.0196, 0.0.0197 and 0.0.0198, tries to set the device offline.

chccwdev --attribute readonly=1 --attribute online=1 0.0.0192
    This will try to set the device with bus ID 0.0.192 online with readonly attribute set to one (read-only mode).

chccwdev --attribute cmb_enable=1 0.0.0195-0.0.0198
    Set the cmb_enable attribute of the devices 0.0.0195, 0.0.0196, 0.0.0197 and 0.0.0198 to one. This would for example activate the usage of the channel measurement block facility.

chccwdev --safeoffline 0.0.0192,0.0.0195-0.0.0198
    Will try to set the devices with bus ID 0.0.0192, 0.0.0195, 0.0.0196, 0.0.0197 and 0.0.0198 offline and finish all outstanding I/O requests before.

AUTHOR
This man-page was written by Stefan Bader <shbader@de.ibm.com>.

SEE ALSO
lscss(8)